package com.ibiz.core.external.dao;

import com.ibiz.core.external.filter.JQXBJSearchContext;
import com.ibiz.core.external.dao.po.IJQXBJTable;
import java.util.List;
import java.util.Map;

/**
 * 关系型数据实体表[Table]DAO对象
 */
public interface IJQXBJTableDAO {

    IJQXBJTable createJqxbjTable();

    boolean update(IJQXBJTable et);

    IJQXBJTable get(String jqxbjid);

    IJQXBJTable get(IJQXBJTable et);

    boolean remove(String jqxbjid);

    boolean create(IJQXBJTable et);


    List<IJQXBJTable> searchDefault(JQXBJSearchContext context);
}
